POST
Bearerheader
AuthorizationBearer <token>Installer.com auth token
Create order payload
application/json- body
name?|Length
length <= 150description?||nullmetadata?|nullactorAssignments?array<>workflowId?|Format
uuidpartnershipId?string|nullworkflowCustomId?string|nullidempotencyKey?|A unique optional identifier for the order. If the same idempotency key is used for multiple requests, the order will be created only once. Any string up to 150 characters is allowed. If not provided check for existing order with the same idempotency key will not be performed. Ideally use a UUID.
Length
1 <= length <= 150files?array<>|nullorderTagIds?array<>|nullcustomFields?array<>|nulloffer?|nullisTest?|Marks the order as a test order, e.g. created to try out a workflow template.
email*stringFormat
emailphoneNumber*stringcontactPersonName*stringLength
1 <= length <= 150customerLegalId?|Length
1 <= length <= 50externalId?|The caller's own reference for this order in an external system (e.g. an accounting project reference). Free-form, up to 100 characters.
Length
length <= 100property?||nulladdress*stringLength
length <= 250city*stringLength
length <= 150postalCode*stringLength
length <= 50state?|Length
length <= 16countryCode*stringlatitude?number|nulllongitude?number|nullCreates order
application/json- response
value*stringFormat
uuiddisplayId*stringclientUrl*stringFormat
uriExample Request
curl -X POST 'https://api.installer.com/api/v1/order' \ -H 'Content-Type: application/json' \ -d '{ "email": "[email protected]", "phoneNumber": "string", "contactPersonName": "string", "address": "string", "city": "string", "postalCode": "string", "countryCode": "string"}'Example Response
{ "value": "a860a344-d7b2-406e-828e-8d442f23f344", "displayId": "string", "clientUrl": "http://example.com"}